package com.lanren.huhu.partner.controller;

import com.lanren.huhu.partner.domain.PartnerAccount;
import com.lanren.huhu.partner.manager.PartnerAccountManager;
import com.lanren.huhu.partner.result.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;

/**
 * @author houseme
 * @date 2019-06-26 11:00
 * @Project partner
 * @Package com.lanren.huhu.partner.controller
 * @File: PartnerController
 */
@RestController
@RequestMapping("/v1/partner")
public class PartnerController {
    private static Logger logger = LoggerFactory.getLogger(PartnerController.class);

    @Autowired
    private PartnerAccountManager partnerAccountManager;

    @RequestMapping(value = "/{id}", method = RequestMethod.GET)
    public Result<PartnerAccount> one(@PathVariable("id") Integer id, @RequestHeader HttpHeaders headers) {
        if (logger.isInfoEnabled()) {
            logger.info("partner one userId:{ },header:{},time:{}", id, headers.keySet().toArray(), LocalDateTime.now());
        }
        return partnerAccountManager.findByUserId(id);
    }
}
